Printago API
GET /v1/materials/full

Get full material data

Get complete material data including variants, groups, instances, and assignments

Requires: material.view

Response Schema

MaterialsData
groupMembersrequired
object[]
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
materialGroupIdrequired
string
pattern: ^[a-z0-9]{24}$
materialIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
materialTyperequired
string
priorityrequired
number
min: 0
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
variantIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
groupsrequired
object[]
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
priorityrequired
number
min: 0
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
materialsrequired
object[]
brandrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptionalnullable
string
filamentSystemProfileIdrequirednullable
number
filamentUserProfileIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
identifieroptionalnullable
string
namerequired
string
pricePer1000goptionalnullable
integer
Price per kg, in cents.
sourceoptionalnullable
string
starredoptional
boolean
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
typerequired
string
updatedAtrequired
string
format: date-time
variantsrequired
object[]
colorrequirednullable
string
pattern: ^#([A-Fa-f0-9]{8})(;#([A-Fa-f0-9]{8}))*$
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptionalnullable
string
filamentSystemProfileIdrequirednullable
number
filamentUserProfileIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
materialIdrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
pressureAdvanceoptionalnullable
number
min: 0max: 2
pricePer1000goptionalnullable
integer
Price per kg, in cents. Overrides the material's price when set.
sourceoptionalnullable
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "materials": [
    {
      "name": "string",
      "brand": "string",
      "type": "string",
      "identifier": "string",
      "tags": [
        "string"
      ],
      "filamentUserProfileId": "string",
      "filamentSystemProfileId": 1,
      "starred": true,
      "pricePer1000g": 1,
      "source": "string",
      "externalId": "string",
      "customMetadata": {},
      "id": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    }
  ],
  "variants": [
    {
      "name": "string",
      "materialId": "string",
      "color": "string",
      "tags": [
        "string"
      ],
      "filamentUserProfileId": "string",
      "filamentSystemProfileId": 1,
      "pricePer1000g": 1,
      "pressureAdvance": 0,
      "source": "string",
      "externalId": "string",
      "customMetadata": {},
      "id": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    }
  ],
  "groups": [
    {
      "name": "string",
      "priority": 0,
      "parentId": "string",
      "id": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    }
  ],
  "groupMembers": [
    {
      "variantId": "string",
      "materialId": "string",
      "materialGroupId": "string",
      "materialType": "string",
      "priority": 0,
      "id": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    }
  ]
}